const removeConsolePlugin = [];
if (process.env.NODE_ENV === 'production') {
  removeConsolePlugin.push([
    'transform-remove-console',
    {
      exclude: ['error', 'warn', 'table'],
    },
  ]);
}

module.exports = {
  presets: ['@vue/app'],
  plugins: removeConsolePlugin,
};
