import { smaproFetch as fetch } from './fetch';

//基础地址
const path = process.env.VUE_APP_SMAPRO_SERVER_URL;

//首充相关接口头
const pathSmaproPrepayConfig = '/dcxy/smaproPrepayConfig';

//列表分页
export const queryPage = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig/page',
    method: 'POST',
    ...req,
  });

// 新增
export const addEntity = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig',
    method: 'POST',
    ...req,
  });

// 修改
export const updateEntity = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig',
    method: 'PUT',
    ...req,
  });

// 修改
export const lockEntity = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig/lock',
    method: 'PUT',
    ...req,
  });

// 删除
export const deleteEntity = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig',
    method: 'DELETE',
    ...req,
  });

// 获取详情
export const getDetail = req =>
  fetch({
    url: path + pathSmaproPrepayConfig + '/smaproPrepayConfig/detail',
    method: 'GET',
    ...req,
  });
