import { baseFetch as fetch } from '../fetch';

//基础地址
const path = process.env.VUE_APP_BASE_SERVER_URL;

const areaRechargePath = '/dcxy/areaRecharge';

//首充列表分页
export const query4Page = req =>
  fetch({
    url: path + areaRechargePath + '/areaRecharge/list',
    method: 'POST',
    ...req,
  });

/**开启关闭充值 */
export const update4Lock = req =>
  fetch({
    url: path + areaRechargePath + '/areaRecharge',
    method: 'PUT',
    ...req,
  });

/**保存配置 */
export const addEntity = req =>
  fetch({
    url: path + areaRechargePath + '/areaRecharge',
    method: 'POST',
    ...req,
  });

/**查询选中的配置 */
export const queryById = req =>
  fetch({
    url:
      path +
      areaRechargePath +
      `/areaRecharge/${req.params.areaId}/${req.params.operateId}`,
    method: 'GET',
    ...req,
  });
