import { baseFetch as fetch } from '../fetch';
const OPER_PAY_PATH = '/dcxy/api/base/operateAreaPay';

const customer_path = process.env.VUE_APP_CUSTOMER_SERVER_URL;

export const getCustomerInfo = req =>
  fetch({
    url: customer_path + '/dcxy/customerInfo/customer/forpic',
    method: 'get',
    ...req,
  });
export const getOperPayConfig = req =>
  fetch({
    url: OPER_PAY_PATH + '/operate/payconf',
    method: 'get',
    ...req,
  });

export const updateOpConf = req =>
  fetch({
    url: OPER_PAY_PATH + '/change/payconf',
    method: 'post',
    ...req,
  });

export const abilityBeUsed = req =>
  fetch({
    url: OPER_PAY_PATH + '/ability/beused',
    method: 'post',
    ...req,
  });
