import { baseFetch as fetch } from '../fetch';

export const fetchCreditMarginList = req =>
  fetch({
    url: '/dcxy/api/creditDeposits',
    method: 'get',
    ...req,
  });

export const addCreditMarginConf = req =>
  fetch({
    url: '/dcxy/api/creditDeposits',
    method: 'post',
    ...req,
  });
export const fetchCreditMarginConfEdit = req =>
  fetch({
    url: `/dcxy/api/creditDeposits/${req.data.id}/edit`,
    method: 'get',
    ...req,
  });
export const updateCreditMarginConf = req =>
  fetch({
    url: `/dcxy/api/creditDeposits/modify`,
    method: 'post',
    ...req,
  });
export const toggleCreditMarginConfState = req =>
  fetch({
    url: req.data.state
      ? `/dcxy/api/creditDeposits/${req.data.id}/open`
      : `/dcxy/api/creditDeposits/${req.data.id}/close`,
    method: 'post',
    ...req,
  });
export const fetchCreditMarginConfDetail = req =>
  fetch({
    url: `/dcxy/api/creditDeposits/${req.data.id}/all`,
    method: 'get',
    ...req,
  });


  export const deleteOperandcredit = req =>
  fetch({
    url: '/dcxy/api/creditDeposits/deleteOper',
    method: 'get',
    ...req,

  });
