import { baseFetch as fetch } from '../fetch';

export const fetchEquipmentList = req =>
  fetch({
    url: '/dcxy/api/deviceLoginConfs',
    method: 'get',
    ...req,
  });

export const addEquipmentConf = req =>
  fetch({
    url: '/dcxy/api/deviceLoginConfs',
    method: 'post',
    ...req,
  });

export const deleteEquipmentConf = req =>
  fetch({
    url: `/dcxy/api/deviceLoginConfs/${req.data.id}`,
    method: 'delete',
    ...req,
  });

export const toggleEquipmentConfState = req =>
  fetch({
    url: req.data.state
      ? `/dcxy/api/deviceLoginConfs/${req.data.id}/open`
      : `/dcxy/api/deviceLoginConfs/${req.data.id}/close`,
    method: 'post',
    ...req,
  });
export const fetchEquipmentConfDetail = req =>
  fetch({
    url: `/dcxy/api/deviceLoginConfs/${req.data.id}`,
    method: 'get',
    ...req,
  });
