import { baseFetch as fetch } from '../fetch';

export const fetchActivityList = req =>
  fetch({
    url: '/dcxy/api/activeConf',
    method: 'get',
    ...req,
  });
export const addActivity = req =>
  fetch({
    url: '/dcxy/api/activeConf',
    method: 'post',
    ...req,
  });
export const fetchActivityDetail = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/edit`,
    method: 'get',
    ...req,
  });
export const fetchActivityDetailAll = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/all`,
    method: 'get',
    ...req,
  });
export const updateActivity = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}`,
    method: 'post',
    ...req,
  });
export const deleteActivity = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}`,
    method: 'delete',
    ...req,
  });
export const configActivityArea = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/areas`,
    method: 'post',
    ...req,
  });
export const configActivityPays = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/pays`,
    method: 'post',
    ...req,
  });
export const toggleActivityStatus = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/status/${req.data.status}`,
    method: 'post',
    ...req,
  });
export const fetchActivityArea = req =>
  fetch({
    url: `/dcxy/api/activeConf/${req.data.id}/areas`,
    method: 'get',
    ...req,
  });
