import { baseFetch as fetch } from '../fetch';

export const fetchPaywayList = req =>
  fetch({
    url: '/dcxy/api/paymentConf',
    method: 'get',
    ...req,
  });
export const addPayway = req =>
  fetch({
    url: '/dcxy/api/paymentConf',
    method: 'post',
    ...req,
  });
export const fetchPaywayDetail = req =>
  fetch({
    url: `/dcxy/api/paymentConf/${req.data.id}`,
    method: 'get',
    ...req,
  });
export const updatePaywayDetail = req =>
  fetch({
    url: `/dcxy/api/paymentConf/${req.data.id}`,
    method: 'post',
    ...req,
  });
export const deletePayway = req =>
  fetch({
    url: `/dcxy/api/paymentConf/${req.params.id}`,
    method: 'delete',
    ...req,
  });
export const fetchPayType = req =>
  fetch({
    url: 'dcxy/api/base/operateAreaPay/operateAndPay',
    method: 'get',
    ...req,
  });
