import { customFetch as fetch } from '../fetch';

export const getCustomerInfo = req =>
  fetch({
    url: '/dcxy/customerInfo/queryList',
    method: 'POST',
    ...req,
  });

export const fetchDetail = req =>
  fetch({
    url: '/dcxy/customerInfo/queryCustomer',
    method: 'GET',
    ...req,
  });

export const getaddCustomer = req =>
  fetch({
    url: '/dcxy/customerInfo/addCustomer',
    method: 'POST',
    ...req,
  });

export const updateState = req =>
  fetch({
    url: '/dcxy/customerInfo/updateState',
    method: 'PUT',
    ...req,
  });

export const updateBase = req =>
  fetch({
    url: '/dcxy/customerInfo/updateBase',
    method: 'PUT',
    ...req,
  });

export const fetchAccount = req =>
  fetch({
    url: '/dcxy/customerInfo/queryAccount',
    method: 'GET',
    ...req,
  });

export const fetchAccountLessThanZero = req =>
  fetch({
    url: '/dcxy/customerInfo/lessthan/zero',
    method: 'GET',
    ...req,
  });

//电话或者会员ID查询
export const fetchUserInfo = req =>
  fetch({
    url: '/dcxy/customerInfo/baseCustomer',
    method: 'GET',
    ...req,
  });
