import fetch from './index';

export const fetchVersionList = entity =>
  fetch({
    url: '/consumer/deviceVersionQuery4Page',
    params: entity,
  });

export const addVersion = entity =>
  fetch({
    url: '/consumer/deviceVersionInsert',
    method: 'post',
    data: entity,
  });

export const deleteVersion = entity =>
  fetch({
    url: '/consumer/deviceVersionDelete',
    params: entity,
  });

export const updateVersionState = entity =>
  fetch({
    url: '/consumer/deviceVersionUpdateStatusBatch',
    params: entity,
  });
