import fetch from './index';

export const fetchDisableTimeList = entity =>
  fetch({
    url: '/disableTimes',
    params: entity,
  });
export const addDisableTime = entity =>
  fetch({
    url: '/disableTimes',
    method: 'POST',
    ...entity,
  });
export const updateDisableTime = entity =>
  fetch({
    url: `/disableTimes/${entity.data.id}`,
    method: 'POST',
    ...entity,
  });
export const delDisableTime = entity =>
  fetch({
    url: `/disableTimes/${entity.data.id}`,
    method: 'DELETE',
    ...entity,
  });
export const fetchTimeList = entity =>
  fetch({
    url: '/disableTime/details',
    ...entity,
  });
export const addTimeList = entity =>
  fetch({
    url: '/disableTime/details',
    method: 'POST',
    ...entity,
  });

export const fetchConfigDevice = entity =>
  fetch({
    url: '/disableTime/notBindingDevices',
    ...entity,
  });
export const fetchBindedDevice = entity =>
  fetch({
    url: '/disableTime/devices',
    ...entity,
  });
export const bindConfigDevice = entity =>
  fetch({
    url: '/disableTime/devices',
    method: 'POST',
    ...entity,
  });
export const authBindDevice = entity =>
  fetch({
    url: '/disableTime/devices/auth',
    ...entity,
  });
