import { systemFetch as fetch } from '../fetch';

export const fetchInterfaceList = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceManager/list',
    method: 'post',
    ...req,
  });
export const addInterface = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceManager',
    method: 'post',
    ...req,
  });
export const updateInterface = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceManager',
    method: 'put',
    ...req,
  });
export const toggleInterfaceState = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceManager/isDown',
    method: 'post',
    ...req,
  });
export const fetchDetailList = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceDetailManage/list',
    method: 'post',
    ...req,
  });
export const addDetailConfig = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceDetailManage',
    method: 'post',
    ...req,
  });
export const delDetailConfig = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceDetailManage',
    method: 'delete',
    ...req,
  });
export const toggleDetailConfigState = req =>
  fetch({
    url: '/modelInterfaceManager/modelInterfaceDetailManage',
    method: 'put',
    ...req,
  });
