import { baseFetch as fetch } from '../fetch';

const APP_OPEN_ADVERT = '/app/open/advert';

const COMMON = '/dcxy/common';

const ADVERT_CAMPUS = '/app/advertise/campus';

const ADVERT_OPERATE = '/advertise/operate';

export const pageAppOpenAdvertInfos = req =>
  fetch({
    url: APP_OPEN_ADVERT + '/page',
    method: 'POST',
    ...req,
  });

export const addAppOpenAdvertInfo = req =>
  fetch({
    url: APP_OPEN_ADVERT + '/gain',
    method: 'POST',
    ...req,
  });

export const updateAppOpenAdvertInfo = req =>
  fetch({
    url: APP_OPEN_ADVERT + '/modify',
    method: 'POST',
    ...req,
  });

export const getEditInfo = req =>
  fetch({
    url: APP_OPEN_ADVERT + '/edit/info',
    method: 'GET',
    ...req,
  });

export const updateState = req =>
  fetch({
    url: APP_OPEN_ADVERT + '/state',
    method: 'PUT',
    ...req,
  });
//-----------------------------------------
export const getUploadImgToken = req =>
  fetch({
    url: COMMON + '/qiniu/token',
    method: 'GET',
    ...req,
  });

export const getDelImgToken = req =>
  fetch({
    url: COMMON + '/del/pic',
    method: 'GET',
    ...req,
  });

//-----------------------------

export const addAdvertiseRelations = req =>
  fetch({
    url: ADVERT_CAMPUS + '/relation',
    method: 'POST',
    ...req,
  });

export const listSectionRelations = req =>
  fetch({
    url: ADVERT_CAMPUS + '/relations',
    method: 'GET',
    ...req,
  });

//-----------------------------------

export const getOperateRecords = req =>
  fetch({
    url: ADVERT_OPERATE + '/record',
    method: 'GET',
    ...req,
  });

//------------------------------------
