import { baseFetch as fetch } from '../fetch';
const prepaidModelPath = '/dcxy/api/prepaidModel';
export const query4Page = req =>
  fetch({
    url: prepaidModelPath + '/prepaidModel/list',
    method: 'POST',
    ...req,
  });

/**新增 */
export const addEntity = req =>
  fetch({
    url: prepaidModelPath + '/prepaidModel',
    method: 'POST',
    ...req,
  });

/**修改 */
export const updateEntity = req =>
  fetch({
    url: prepaidModelPath + '/prepaidModel',
    method: 'PUT',
    ...req,
  });

/**删除 */
export const deleteEntity = req =>
  fetch({
    url: prepaidModelPath + '/prepaidModel',
    method: 'DELETE',
    ...req,
  });

/**详情 */
export const getEntityById = req =>
  fetch({
    url: prepaidModelPath + '/prepaidModel',
    method: 'GET',
    ...req,
  });

/**详情 */
export const queryServiceByAreaId = req =>
  fetch({
    url: '/dcxy/api/base/service/queryServiceByAreaId',
    method: 'GET',
    ...req,
  });
