import { baseFetch as fetch } from '../fetch';
import utils from '@/lib/utils';
const downloadUrl = utils.downloadFiles;

export const fetchEquList = req =>
  fetch({
    url: '/dcxy/purchasingEqu/queryList',
    method: 'post',
    ...req,
  });

export const getbatchNumber = req =>
fetch({
  url: '/dcxy/purchasingOrder/findBatchNumber',
  method: 'get',
  params: req,
});
export const geBatchNumberDetail = req =>
fetch({
  url: '/dcxy/purchasingOrder/findOne',
  method: 'get',
  params: req,
});
export const addPurchasingEqu = req =>
  fetch({
    url: '/dcxy/purchasingEqu/addPurchasing',
    method: 'post',
    ...req,
  });
  export const updatePurchasingEqu = req =>
  fetch({
    url: '/dcxy/purchasingEqu/updatePurchasing',
    method: 'post',
    ...req,
  });
  export const updateState = req =>
fetch({
  url: '/dcxy/purchasingEqu/updateState',
  method: 'get',
  params: req,
});
export const fetchDetail = req =>
fetch({
  url: '/dcxy/purchasingEqu/findRecord',
  method: 'get',
  params: req,
});
export const exportTemplate = () =>
fetch({
  url: '/dcxy/purchasingEqu/templateExport',
  responseType: 'blob',
}).then(res => {
  let blob = new Blob([res.data], { type: res.headers });
  let fileName = res.headers['content-disposition'].split('=')[1];
  downloadUrl(blob, fileName);
});
export const importTemplate = entity =>
fetch({
  method: 'post',
  url: '/dcxy/purchasingEqu/equipmentImport',
  data: entity,
  headers: {
    'Content-type': 'multipart/form-data',
  },

});
