import { systemFetch as fetch } from '../fetch';

export const fetchRoleList = req =>
  fetch({
    url: '/role/role/list',
    method: 'post',
    ...req,
  });
export const addRole = req =>
  fetch({
    url: '/role/role',
    method: 'post',
    ...req,
  });
export const updateRole = req =>
  fetch({
    url: '/role/role',
    method: 'put',
    ...req,
  });
export const fetchBindUsers = req =>
  fetch({
    url: '/role/role/bindUser',
    method: 'get',
    ...req,
  });
export const roleBindUsers = req =>
  fetch({
    url: '/role/role/bindUser',
    method: 'post',
    ...req,
  });
export const toggleRoleState = req =>
  fetch({
    url: '/role/role/lock',
    method: 'put',
    ...req,
  });
export const fetchAuthRoute = req =>
  fetch({
    url: '/role/role/menuButton',
    method: 'get',
    ...req,
  });
export const bindAuthRoute = req =>
  fetch({
    url: '/role/role/bindMenuButton',
    method: 'post',
    ...req,
  });
export const fetchRoleDetail = req =>
  fetch({
    url: `/role/role/menuButton/${req.data.id}`,
    method: 'get',
    ...req,
  });
export const fetchAllOpenRole = req =>
  fetch({
    url: '/role/role/isOpen',
    method: 'get',
    ...req,
  });
