import { systemFetch as fetch } from '../fetch';

export const fetchUserList = req =>
  fetch({
    url: '/admin/admin/list',
    method: 'post',
    ...req,
  });
export const toggleLockState = req =>
  fetch({
    url: '/admin/admin/lock',
    method: 'put',
    ...req,
  });
export const resetPassword = req =>
  fetch({
    url: '/admin/admin/reset',
    method: 'get',
    ...req,
  });
export const addSystemUser = req =>
  fetch({
    url: '/admin/admin',
    method: 'post',
    ...req,
  });
export const updateSystemUser = req =>
  fetch({
    url: '/admin/admin',
    method: 'put',
    ...req,
  });
export const fetchSystemUserDetail = req =>
  fetch({
    url: `/admin/admin/${req.data.id}`,
    method: 'get',
    ...req,
  });
export const fetchAreaConfig = req =>
  fetch({
    url: '/admin/adminHaveArea',
    ...req,
  });
export const updateAreaConfig = req =>
  fetch({
    url: '/admin/adminHaveArea',
    method: 'POST',
    ...req,
  });
export const fetchRoleConfig = req =>
  fetch({
    url: '/admin/getAdminHaveRole',
    ...req,
  });
export const updateRoleConfig = req =>
  fetch({
    url: '/admin/adminHaveRole',
    method: 'POST',
    ...req,
  });
export const getAllArea = req =>
  fetch({
    url: '/admin/getAreaByOpid',
    ...req,
  });


  export const adminHaveOperLog = req =>
  fetch({
    url: '/admin/adminHaveOperLog',
    method:'GET',
    ...req,
  });
