import equipmentVersion from './equipmentVersionStore';

export default {
  install(store) {
    if (!store.state.ParameterMap) {
      store.registerModule(['ParameterMap'], {
        namespaced: true,
      });
    }
    if (!store.state.ParameterMap.equipmentVersion) {
      store.registerModule(
        ['ParameterMap', 'equipmentVersion'],
        equipmentVersion
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['ParameterMap', 'equipmentVersion']);
  },
};
