import equipmentParameter from './parameterMapStore';

export default {
  install(store) {
    if (!store.state.ParameterMap) {
      store.registerModule(['ParameterMap'], {
        namespaced: true,
      });
    }
    if (!store.state.ParameterMap.equipmentParameter) {
      store.registerModule(
        ['ParameterMap', 'equipmentParameter'],
        equipmentParameter
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['ParameterMap', 'equipmentParameter']);
  },
};
