import ProvincesStore from './ProvincesStore';

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        state: {},
      });
    }
    if (!store.state.base.provinces) {
      store.registerModule(['base', 'provinces'], ProvincesStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['base', 'provinces']);
  },
};
