import campusStore from './campusStore';

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        state: {},
      });
    }
    if (!store.state.base.campus) {
      store.registerModule(['base', 'campus'], campusStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['base', 'campus']);
  },
};
