import EquipmentManagement from './EquipmentManagement';

export default {
  install(store) {
    if (!store.state['device3']) {
      store.registerModule(['device3'], {
        namespaced: true,
      });
    }
    if (!store.state['device3'].EquipmentManagement) {
      store.registerModule(
        ['device3', 'EquipmentManagement'],
        EquipmentManagement
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['device3', 'EquipmentManagement']);
  },
};
