import recharge from './recharge';

export default {
  install(store) {
    if (!store.state.accountCustomer) {
      store.registerModule(['accountCustomer'], {
        namespaced: true,
      });
    }
    if (!store.state.accountCustomer.recharge) {
      store.registerModule(['accountCustomer', 'recharge'], recharge);
    }
  },
  uninstall(store) {
    store.unregisterModule(['accountCustomer', 'recharge']);
  },
};
