import { getRefundInfo,forRefund } from '@/api/account/customerRefund';
import storeModule from '@/lib/storeModule';
const pagination = storeModule.pagination;

const FOR_STORE_ID = 'FOR_STORE_ID';
const state = () => ({
  iSReData: null,
});

const getters = {
  iSReData: state => state.iSReData,
};

const actions = {
    getRefundInfo({ commit, state, dispatch }, entity) {
    return getRefundInfo(
      {
        params:{...entity},
      }
    )
  },
  forRefund({ commit, state, dispatch }, entity){
    return forRefund(entity)
  },
  storeReData({commit, state, dispatch},entity){
    commit(FOR_STORE_ID, entity);
  },
};

const mutations = {
  [FOR_STORE_ID](state, entity) {
    state.iSReData= entity;
  },
};

export default {
  namespaced: true,
  modules: {
    pagination,
  },
  state,
  getters,
  actions,
  mutations,
};
