import refund from './refund';

export default {
  install(store) {
    if (!store.state.accountCustomer) {
      store.registerModule(['accountCustomer'], {
        namespaced: true,
      });
    }
    if (!store.state.accountCustomer.refund) {
      store.registerModule(['accountCustomer', 'refund'], refund);
    }
  },
  uninstall(store) {
    store.unregisterModule(['accountCustomer', 'refund']);
  },
};
