import AdminFunction from './AdminFunction';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.AdminFunction) {
      store.registerModule(['system', 'AdminFunction'], AdminFunction);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'AdminFunction']);
  },
};
