import AppReportLog from './AppReportLog';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.AppReportLog) {
      store.registerModule(['system', 'AppReportLog'], AppReportLog);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'AppReportLog']);
  },
};
