import DeviceWarning from './deviceWarning';

export default {
  install(store) {
    if (!store.state.deviceWarning) {
      store.registerModule(['deviceWarning'], {
        namespaced: true,
      });
    }
    if (!store.state.deviceWarning.DeviceWarning) {
      store.registerModule(['deviceWarning', 'DeviceWarning'], DeviceWarning);
    }
  },
  uninstall(store) {
    store.unregisterModule(['deviceWarning', 'DeviceWarning']);
  },
};