import Firmware from './Firmware';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!store.state.waterDispenser.Firmware) {
      store.registerModule(['waterDispenser', 'Firmware'], Firmware);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'Firmware']);
  },
};
