import OperWarning from './operWarning';

export default {
  install(store) {
    if (!store.state.operWarning) {
      store.registerModule(['operWarning'], {
        namespaced: true,
      });
    }
    if (!store.state.operWarning.OperWarning) {
      store.registerModule(['operWarning', 'OperWarning'], OperWarning);
    }
  },
  uninstall(store) {
    store.unregisterModule(['operWarning', 'OperWarning']);
  },
};