import EquipmentParams from './EquipmentParams';

export default {
  install(store) {
    if (!store.state.DeviceParamsConfig) {
      store.registerModule(['DeviceParamsConfig'], {
        namespaced: true,
      });
    }
    if (!store.state.DeviceParamsConfig.EquipmentParams) {
      store.registerModule(
        ['DeviceParamsConfig', 'EquipmentParams'],
        EquipmentParams
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['DeviceParamsConfig', 'EquipmentParams']);
  },
};
