import EquipmentParamsOperator from './EquipmentParamsOperator';

export default {
  install(store) {
    if (!store.state.DeviceParamsConfig) {
      store.registerModule(['DeviceParamsConfig'], {
        namespaced: true,
      });
    }
    if (!store.state.DeviceParamsConfig.EquipmentParamsOperator) {
      store.registerModule(
        ['DeviceParamsConfig', 'EquipmentParamsOperator'],
        EquipmentParamsOperator
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['DeviceParamsConfig', 'EquipmentParamsOperator']);
  },
};
