import ParamsLog from './ParamsLog';

export default {
  install(store) {
    if (!store.state.DeviceParamsConfig) {
      store.registerModule(['DeviceParamsConfig'], {
        namespaced: true,
      });
    }
    if (!store.state.DeviceParamsConfig.ParamsLog) {
      store.registerModule(['DeviceParamsConfig', 'ParamsLog'], ParamsLog);
    }
  },
  uninstall(store) {
    store.unregisterModule(['DeviceParamsConfig', 'ParamsLog']);
  },
};
