import ParamsConfig from './ParamsConfig';

export default {
  install(store) {
    if (!store.state.equipmentParams) {
      store.registerModule(['equipmentParams'], {
        namespaced: true,
      });
    }
    if (!store.state.equipmentParams.ParamsConfig) {
      store.registerModule(['equipmentParams', 'ParamsConfig'], ParamsConfig);
    }
  },
  uninstall(store) {
    store.unregisterModule(['equipmentParams', 'ParamsConfig']);
  },
};
