import deviceFree from './deviceFree';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if (!store.state.HairDryer.deviceFree) {
      store.registerModule(['HairDryer', 'deviceFree'], deviceFree);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'deviceFree']);
  },
};
