import equipment from './equipment';
import rate from '../RateConfig/rate';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if (!store.state.HairDryer.equipment) {
      store.registerModule(['HairDryer', 'equipment'], equipment);
    }
    if (!store.state.HairDryer.rate) {
      store.registerModule(['HairDryer', 'rate'], rate);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'equipment']);
    store.unregisterModule(['HairDryer', 'rate']);
  },
};
