import order from './order';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if(!store.state.HairDryer.order){
      store.registerModule(['HairDryer', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'order']);
  },
};
