import rate from './rate';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if(!store.state.HairDryer.rate){
      store.registerModule(['HairDryer', 'rate'], rate);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'rate']);
  },
};
