import { getCampusListBySchool } from '@/api/base/base';

export default {
  data() {
    return {
      filterCampusList: [],
    };
  },
  methods: {
    changeSchool(val) {
      if (val) {
        getCampusListBySchool({
          schoolId: val,
        }).then(res => {
          this.filterCampusList = res.data;
        });
      } else {
        this.filterCampusList = this.operatorAllCampusList;
        this.filters.campusId = '';
      }
    },
  },
};
