import InterfaceManager from './InterfaceManager';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.InterfaceManager) {
      store.registerModule(['system', 'InterfaceManager'], InterfaceManager);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'InterfaceManager']);
  },
};
