import Menu from './Menu';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.Menu) {
      store.registerModule(['system', 'Menu'], Menu);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'Menu']);
  },
};
