import OperLog from './OperLog';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.OperLog) {
      store.registerModule(['system', 'OperLog'], OperLog);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'OperLog']);
  },
};
