import order from './order';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.order) {
      store.registerModule(['cmb', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'order']);
  },
};
