import fail from './fail';

export default {
  install(store) {
    if (!store.state.orderStore) {
      store.registerModule(['orderStore'], {
        namespaced: true,
      });
    }
    if (!store.state.orderStore.fail) {
      store.registerModule(['orderStore', 'fail'], fail);
    }
  },
  uninstall(store) {
    store.unregisterModule(['orderStore', 'fail']);
  },
};
