import recharge from './recharge';

export default {
  install(store) {
    if (!store.state.orderStore) {
      store.registerModule(['orderStore'], {
        namespaced: true,
      });
    }
    if (!store.state.orderStore.recharge) {
      store.registerModule(['orderStore', 'recharge'], recharge);
    }
  },
  uninstall(store) {
    store.unregisterModule(['orderStore', 'recharge']);
  },
};
