import refund from './refund';

export default {
  install(store) {
    if (!store.state.orderStore) {
      store.registerModule(['orderStore'], {
        namespaced: true,
      });
    }
    if (!store.state.orderStore.refund) {
      store.registerModule(['orderStore', 'refund'], refund);
    }
  },
  uninstall(store) {
    store.unregisterModule(['orderStore', 'refund']);
  },
};
