import consume from './consume';

export default {
  install(store) {
    if (!store.state.customer) {
      store.registerModule(['customer'], {
        namespaced: true,
      });
    }
    if (!store.state.customer.consume) {
      store.registerModule(['customer', 'consume'], consume);
    }

  },
  uninstall(store) {
    store.unregisterModule(['customer', 'consume']);
  },
};
