import giveBean from './giveBean';

export default {
  install(store) {
    if (!store.state.customer) {
      store.registerModule(['customer'], {
        namespaced: true,
      });
    }
    if (!store.state.customer.giveBean) {
      store.registerModule(['customer', 'giveBean'], giveBean);
    }

  },
  uninstall(store) {
    store.unregisterModule(['customer', 'giveBean']);

  },
};
