import paymentConsume from './paymentConsume';

export default {
  install(store) {
    if (!store.state.customer) {
      store.registerModule(['customer'], {
        namespaced: true,
      });
    }
    if (!store.state.customer.paymentConsume) {
      store.registerModule(['customer', 'paymentConsume'], paymentConsume);
    }

  },
  uninstall(store) {
    store.unregisterModule(['customer', 'paymentConsume']);
  },
};
