import Role from './Role';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.Role) {
      store.registerModule(['system', 'Role'], Role);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'Role']);
  },
};
