import account from './account';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.account) {
      store.registerModule(['Shower', 'account'], account);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'account']);
  },
};
