import appointment from './appointment';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.appointment) {
      store.registerModule(['Shower', 'appointment'], appointment);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'appointment']);
  },
};
