import deviceFree from './deviceFree';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.deviceFree) {
      store.registerModule(['Shower', 'deviceFree'], deviceFree);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'deviceFree']);
  },
};
