import rate from './rate';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.rate) {
      store.registerModule(['Shower', 'rate'], rate);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'rate']);
  },
};
