import SmaproRefundOrder from './SmaproRefundOrder';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.SmaproRefundOrder) {
      store.registerModule(['system', 'SmaproRefundOrder'], SmaproRefundOrder);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'SmaproRefundOrder']);
  },
};
