
import account from './account';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if(!store.state.waterDispenser.account){
      store.registerModule(['waterDispenser', 'account'], account);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'account']);
  },
};
