import deviceFree from './deviceFree';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!store.state.waterDispenser.deviceFree) {
      store.registerModule(['waterDispenser', 'deviceFree'], deviceFree);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'deviceFree']);
  },
};
