// import store from '@/store/index';
import location from './location';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if(!store.state.waterDispenser.location){
      store.registerModule(['waterDispenser', 'location'], location);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'location']);
  },
};
