
import QrConfig from './QrConfig.js';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if(!store.state.waterDispenser.QrConfig){
       store.registerModule(['waterDispenser', 'QrConfig'], QrConfig);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'QrConfig']);
  },
};
