import { fetchDeviceTypeOptions } from '@/api/device/firmware';
import { GET_DEVICE_TYPE_OPTIONS } from '../../mutation-types';

const state = () => ({
  deviceTypeOptions: [],
});
const getters = {
  deviceTypeOptions: state => state.deviceTypeOptions,
};
const actions = {
  fetchDeviceTypeOptions({ commit }) {
    return fetchDeviceTypeOptions().then(res => {
      commit(GET_DEVICE_TYPE_OPTIONS, res.data);
    });
  },
};
const mutations = {
  [GET_DEVICE_TYPE_OPTIONS](state, list) {
    state.deviceTypeOptions = list;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
