import AreaConfigStore from './AreaConfigStore';

export default {
  install(store) {
    if (!store.state.appVersion) {
      store.registerModule(['appVersion'], {
        namespaced: true,
      });
    }
    if (!store.state.appVersion.AreaConfigStore) {
      store.registerModule(['appVersion', 'AreaConfigStore'], AreaConfigStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['appVersion', 'AreaConfigStore']);
  },
};
