import areaBusiness from './areaBusiness';

export default {
  install(store) {
    if (!store.state.areaBusinessMain) {
      store.registerModule(['areaBusinessMain'], {
        namespaced: true,
      });
    }
    if (!store.state.areaBusinessMain.areaBusiness) {
      store.registerModule(['areaBusinessMain', 'areaBusiness'], areaBusiness);
    }
  },
  uninstall(store) {
    store.unregisterModule(['areaBusinessMain', 'areaBusiness']);
  },
};