import ams from './areaSms';

export default {
  install(store) {
    if (!store.state.areaSms ){
      store.registerModule(['areaSms'], {
        namespaced: true,
      });
    }
    if (!store.state.areaSms.ams) {
      store.registerModule(['areaSms', 'ams'], ams);
    }
  },
  uninstall(store) {
    store.unregisterModule(['areaSms', 'ams']);
  },
};
