import OperationalMode from './OperationalMode';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.OperationalMode) {
      store.registerModule(['cmb', 'OperationalMode'], OperationalMode);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'OperationalMode']);
  },
};
