import activity from './activity';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.activity) {
      store.registerModule(['cmb', 'activity'], activity);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'activity']);
  },
};
