import giveRecords from './giveRecords';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.giveRecords) {
      store.registerModule(['cmb', 'giveRecords'], giveRecords);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'giveRecords']);
  },
};
