import payway from './payway';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.payway) {
      store.registerModule(['cmb', 'payway'], payway);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'payway']);
  },
};
