import consumeAreaInfo from './consumeAreaSum';

export default {
  install(store) {
    if (!store.state.consumeAreaSumStore) {
      store.registerModule(['consumeAreaSumStore'], {
        namespaced: true,
      });
    }
    if (!store.state.consumeAreaSumStore.consumeAreaInfo) {
      store.registerModule(['consumeAreaSumStore', 'consumeAreaInfo'], consumeAreaInfo);
    }
  },
  uninstall(store) {
    store.unregisterModule(['consumeAreaSumStore', 'consumeAreaInfo']);
  },
};
