import consumeOperSumInfo from './consumeOperSum';

export default {
  install(store) {
    if (!store.state.consumeOperSumStore) {
      store.registerModule(['consumeOperSumStore'], {
        namespaced: true,
      });
    }
    if (!store.state.consumeOperSumStore.consumeOperSumInfo) {
      store.registerModule(['consumeOperSumStore', 'consumeOperSumInfo'], consumeOperSumInfo);
    }
  },
  uninstall(store) {
    store.unregisterModule(['consumeOperSumStore', 'consumeOperSumInfo']);
  },
};
