import cc from './customerConsume';

export default {
  install(store) {
    if (!store.state.ccStore) {
      store.registerModule(['ccStore'], {
        namespaced: true,
      });
    }
    if (!store.state.ccStore.cc) {
      store.registerModule(['ccStore', 'cc'], cc);
    }
  },
  uninstall(store) {
    store.unregisterModule(['ccStore', 'cc']);
  },
};
