import toll from './flatformToll';

export default {
  install(store) {
    if (!store.state.flatformToll) {
      store.registerModule(['flatformToll'], {
        namespaced: true,
      });
    }
    if (!store.state.flatformToll.toll) {
      store.registerModule(['flatformToll', 'toll'], toll);
    }
  },
  uninstall(store) {
    store.unregisterModule(['flatformToll', 'toll']);
  },
};
