import oporder from './operateOrder';

export default {
  install(store) {
    if (!store.state.operateOrder) {
      store.registerModule(['operateOrder'], {
        namespaced: true,
      });
    }
    if (!store.state.operateOrder.oporder) {
      store.registerModule(['operateOrder', 'oporder'], oporder);
    }
  },
  uninstall(store) {
    store.unregisterModule(['operateOrder', 'oporder']);
  },
};
