import registerGiveConf from './registerGiveConf';

export default {
  install(store) {
    if (!store.state.operationManagement) {
      store.registerModule(['operationManagement'], {
        namespaced: true,
      });
    }
    if (!store.state.operationManagement.registerGiveConf) {
      store.registerModule(
        ['operationManagement', 'registerGiveConf'],
        registerGiveConf
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['operationManagement', 'registerGiveConf']);
  },
};
