import deploypay from './deploypay';

export default {
  install(store) {
    if (!store.state.deployPay) {
      store.registerModule(['deployPay'], {
        namespaced: true,
      });
    }
    if (!store.state.deployPay.deploypay) {
      store.registerModule(['deployPay', 'deploypay'], deploypay);
    }
  },
  uninstall(store) {
    store.unregisterModule(['deployPay', 'deploypay']);
  },
};
