import opena from './openAdvert';

export default {
  install(store) {
    if (!store.state.openAdvert ){
      store.registerModule(['openAdvert'], {
        namespaced: true,
      });
    }
    if (!store.state.openAdvert.opena) {
      store.registerModule(['openAdvert', 'opena'], opena);
    }
  },
  uninstall(store) {
    store.unregisterModule(['openAdvert', 'opena']);
  },
};
