import control from './rechargeControl';

export default {
  install(store) {
    if (!store.state.rechargeControl) {
      store.registerModule(['rechargeControl'], {
        namespaced: true,
      });
    }
    if (!store.state.rechargeControl.control) {
      store.registerModule(['rechargeControl', 'control'], control);
    }
  },
  uninstall(store) {
    store.unregisterModule(['rechargeControl', 'control']);
  },
};
