import pav from './pav';

export default {
  install(store) {
    if (!store.state.pavStore) {
      store.registerModule(['pavStore'], {
        namespaced: true,
      });
    }
    if (!store.state.pavStore.pav) {
      store.registerModule(['pavStore', 'pav'], pav);
    }
  },
  uninstall(store) {
    store.unregisterModule(['pavStore', 'pav']);
  },
};
