import equipment from './purchasingEqu';

export default {
  install(store) {
    if (!store.state.PurchasingEqu) {
      store.registerModule(['PurchasingEqu'], {
        namespaced: true,
      });
    }
    if (!store.state.PurchasingEqu.equipment) {
      store.registerModule(['PurchasingEqu', 'equipment'], equipment);
    }
  },
  uninstall(store) {
    store.unregisterModule(['PurchasingEqu', 'equipment']);
  },
};
