import service from './service';

export default {
  install(store) {
    if (!store.state.serviceStore) {
      store.registerModule(['serviceStore'], {
        namespaced: true,
      });
    }
    if (!store.state.serviceStore.service) {
      store.registerModule(['serviceStore', 'service'], service);
    }
  },
  uninstall(store) {
    store.unregisterModule(['serviceStore', 'service']);
  },
};
