import state from './state';

export default {
  install(store) {
    if (!store.state.chinaArea) {
      store.registerModule(['chinaArea'], {
        namespaced: true,
      });
    }
    if (!store.state.chinaArea.state) {
      store.registerModule(['chinaArea', 'state'], state);
    }
  },
  uninstall(store) {
    store.unregisterModule(['chinaArea', 'state']);
  },
};
