import areaStore from './areaStore';

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        namespaced: true,
      });
    }
    if (!store.state.base.operatorArea) {
      store.registerModule(['base', 'operatorArea'], areaStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['base', 'operatorArea']);
  },
};
