import _import from '../_import';
import baseAreaStore from '@/containers/baseArea/store';
import areaBusinessStore from '@/containers/areaBusiness/store';


const AREARoute = [
  {
    code: '0031',
    component: _import('baseArea/area'),
    meta: { title: '所属区域', store: baseAreaStore },
  },
  {
    code: '0092',
    component: _import('areaBusiness/areaBusiness'),
    meta: { title: '校区业务管理', store: areaBusinessStore },
  },
];

export default AREARoute;
