import _import from '../_import';
import payWayStore from '@/containers/cmb/payway/store';
// import activityStore from '@/containers/cmb/activity/store';
// import EquipmentLoginStore from '@/containers/cmb/EquipmentLogin/store';
import CreditMarginStore from '@/containers/cmb/CreditMargin/store';
import OperationalModeStore from '@/containers/cmb/OperationalMode/store';

const CMBRoute = [
  {
    code: '0026',
    component: _import('cmb/payway/payway'),
    meta: { title: '支付方式配置', store: payWayStore },
  },
  // {
  //   code: '0027',
  //   component: _import('cmb/activity/activity'),
  //   meta: { title: '活动配置', store: activityStore },
  // },
  // {
  //   code: '0028',
  //   component: _import('cmb/EquipmentLogin/EquipmentLogin'),
  //   meta: { title: '设备登录配置', store: EquipmentLoginStore },
  // },
  {
    code: '0029',
    component: _import('cmb/CreditMargin/CreditMargin'),
    meta: { title: '授信保证金', store: CreditMarginStore },
  },

  {
    code: '0030',
    component: _import('cmb/OperationalMode/OperationalMode'),
    meta: { title: '运营模式配置', store: OperationalModeStore },
  },
];

export default CMBRoute;
