import _import from '../_import';
import customerStore from '@/containers/Customer/CustomerStore';
import PasswordStore from '@/containers/password/store';
import customerSwitchStore from '@/containers/customerSwitch/store';
import feedbackStore from '../../containers/feedBack/feedBackStore';
import areaSwitchStore from '../../containers/AreaSwitch/store';

const customerInfoList = [
  {
    code: '0016',
    component: _import('Customer/Customer'),
    meta: { title: '会员信息', store: customerStore },
  },
  {
    code: '0017',
    component: _import('password/Password'),
    meta: { title: '密码管理', store: PasswordStore },
  },
  {
    code: '0018',
    component: _import('feedBack/feedBackPage'),
    meta: { title: '反馈信息', store: feedbackStore },
  },
  {
    code: '0042',
    component: _import('customerSwitch/CustomerSwitch'),
    meta: { title: '余额计扣配置', store: customerSwitchStore },
  },
  {
    code: '0094',
    component: _import('AreaSwitch/areaSwitch'),
    meta: { title: '区域切换记录', store: areaSwitchStore },
  },
];

export default customerInfoList;
