import _import from '../_import';
import firmwareStore from '@/containers/DeviceManagement/Firmware/store';
import connectDeviceStore from '@/containers/DeviceManagement/ConnectDevice/store';
import updateLogStroe from '@/containers/DeviceManagement/UpdateLog/store';
import deviceWarningStroe from '@/containers/DeviceManagement/DeviceWarning/store';
import operWarningStroe from '@/containers/DeviceManagement/OperWarning/store';
import thresholdStroe from '@/containers/DeviceManagement/Threshold/store';

const deviceManageRoute = [
  {
    code: '0066',
    component: _import('DeviceManagement/Firmware/Firmware'),
    meta: { store: firmwareStore },
  },
  {
    code: '0067',
    component: _import('DeviceManagement/ConnectDevice/ConnectDevice'),
    meta: { store: connectDeviceStore },
  },
  {
    code: '0068',
    component: _import('DeviceManagement/UpdateLog/UpdateLog'),
    meta: { store: updateLogStroe },
  },
  {
    code: '0098',
    component: _import('DeviceManagement/DeviceWarning/deviceWarning'),
    meta: { store: deviceWarningStroe },
  },
  {
    code: '0100',
    component: _import('DeviceManagement/OperWarning/operWarning'),
    meta: { store: operWarningStroe },
  },
  {
    code: '0101',
    component: _import('DeviceManagement/Threshold/threshold'),
    meta: { store: thresholdStroe },
  },

];

export default deviceManageRoute;
