import _import from '../_import';
import EquipmentParamsStore from '@/containers/DeviceParamsConfig/EquipmentParams/store';
import EquipmentParamsOperatorStore from '@/containers/DeviceParamsConfig/EquipmentParams/storeOperator';
import ParamsLogStore from '@/containers/DeviceParamsConfig/ParamsLog/store';
import ParamsLogOperatorStore from '@/containers/DeviceParamsConfig/ParamsLog/storeOperator';

const deviceParamsRoute = [
  {
    code: '0086',
    component: _import('DeviceParamsConfig/EquipmentParams/EquipmentParams'),
    meta: { store: EquipmentParamsStore },
  },
  {
    code: '0087',
    component: _import('DeviceParamsConfig/ParamsLog/ParamsLog'),
    meta: { store: ParamsLogStore },
  },
  {
    code: '0109',
    component: _import('DeviceParamsConfig/EquipmentParams/EquipmentParamsOperator'),
    meta: { store: EquipmentParamsOperatorStore },
  },
  {
    code: '0110',
    component: _import('DeviceParamsConfig/ParamsLog/ParamsLogOperator'),
    meta: { store: ParamsLogOperatorStore },
  },
];

export default deviceParamsRoute;
