import _import from '../_import';
import equipmentListStore from '@/containers/HairDryer/EquipmentList/store';
import rateStore from '@/containers/HairDryer/RateConfig/store';
import orderStore from '@/containers/HairDryer/OrderList/store';
import locationStore from '@/containers/HairDryer/InitConfig/store';
import accountStore from '@/containers/HairDryer/Account/store';
import timeRangeConfigStore from '@/containers/HairDryer/TimeRangeConfig/store';
import deviceFreeStore from '@/containers/HairDryer/DeviceFree/store';
const hairDryerRoute = [
  {
    code: '0060',
    component: _import('HairDryer/EquipmentList/EquipmentList'),
    meta: { store: equipmentListStore },
  },
  {
    code: '0061',
    component: _import('HairDryer/EquipmentList/EquipmentList'),
    meta: { store: equipmentListStore },
  },
  {
    code: '0062',
    component: _import('HairDryer/RateConfig/RateConfig'),
    meta: { store: rateStore },
  },
  {
    code: '0063',
    component: _import('HairDryer/OrderList/OrderList'),
    meta: { store: orderStore },
  },
  {
    code: '0064',
    component: _import('HairDryer/InitConfig/InitConfig'),
    meta: { store: locationStore },
  },
  {
    code: '0065',
    component: _import('HairDryer/Account/Account'),
    meta: { store: accountStore },
  },
  {
    code: '0076',
    component: _import('HairDryer/TimeRangeConfig/TimeRangeConfig'),
    meta: { store: timeRangeConfigStore },
  },
  {
    code: '0105',
    component: _import('HairDryer/DeviceFree/deviceFree'),
    meta: { store: deviceFreeStore },
  },
];

export default hairDryerRoute;
