import _import from '../_import';
import activityStore from '@/containers/cmb/activity/store';
import registerGiveConfStore from '@/containers/operationManagement/registerGiveConf/registerGiveConfStore';
import EquipmentLoginStore from '@/containers/cmb/EquipmentLogin/store';
import activeGiveBeanConfStore from '@/containers/operationManagement/activeGiveBeanConf/activeGiveBeanConfStore';

const operatorRoute = [
  {
    code: '0027',
    component: _import('cmb/activity/activity'),
    meta: { title: '活动配置', store: activityStore },
  },
  {
    code: '0040',
    component: _import('operationManagement/registerGiveConf/registerGiveConf'),
    meta: { title: '注册赠送', store: registerGiveConfStore },
  },
  {
    code: '0028',
    component: _import('cmb/EquipmentLogin/EquipmentLogin'),
    meta: { title: '设备登录配置', store: EquipmentLoginStore },
  },
  {
    code: '0041',
    component: _import(
      'operationManagement/activeGiveBeanConf/activeGiveBeanConf'
    ),
    meta: { title: '豆赠送活动', store: activeGiveBeanConfStore },
  },
];

export default operatorRoute;
