import _import from '../_import';
import equipmentListStore from '@/containers/WaterDispenser/EquipmentList/store';
import rateStore from '@/containers/WaterDispenser/RateConfig/store';
import orderStore from '@/containers/WaterDispenser/OrderList/store';
import locationStore from '@/containers/WaterDispenser/InitConfig/store';
import accountStore from '@/containers/WaterDispenser/Account/store';
import qrConfigStore from '@/containers/WaterDispenser/QrConfig/store';
import deviceFreeStore from '@/containers/WaterDispenser/DeviceFree/store';

const dispenserRoute = [
    {
        code: '0054',
        component: _import('WaterDispenser/EquipmentList/index'),
        meta: { store: equipmentListStore },
      },
      {
        code: '0055',
        component: _import('WaterDispenser/RateConfig/index'),
        meta: { store: rateStore },
      },
      {
        code: '0056',
        component: _import('WaterDispenser/OrderList/index'),
        meta: { store: orderStore },
      },
      {
        code: '0057',
        component: _import('WaterDispenser/InitConfig/index'),
        meta: { store: locationStore },
      },
      {
        code: '0058',
        component: _import('WaterDispenser/Account/index'),
        meta: { store: accountStore },
      },
      {
        code: '0059',
        component: _import('WaterDispenser/QrConfig/QrConfig'),
        meta: { store: qrConfigStore },
      },
      {
        code: '0106',
        component: _import('WaterDispenser/DeviceFree/deviceFree'),
        meta: { store: deviceFreeStore },
      },
 
];

export default dispenserRoute;