import { customFetch as fetch } from '../fetch';

export const fetchBeanInfoByUser = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/oneCustomerQuery',
    method: 'GET',
    ...req,
  });
export const increaseBeanByUser = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/giving',
    method: 'POST',
    ...req,
  });
export const decreaseBeanByUser = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/cleaning',
    method: 'POST',
    ...req,
  });

export const fetchBeanInfoByArea = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/batchQuery',
    method: 'GET',
    ...req,
  });
export const increaseBeanByArea = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/batchGiving',
    method: 'POST',
    ...req,
  });
export const decreaseBeanByArea = req =>
  fetch({
    url: '/dcxy/api/customer/beanAccount/batchCleaning',
    method: 'POST',
    ...req,
  });
