import fetch from './index';

export const fetchAreaConfig = req =>
  fetch({
    url: '/smpro/areaConfigs',
    ...req,
  });

export const addAreaConfig = req =>
  fetch({
    url: '/smpro/areaConfigs',
    method: 'POST',
    ...req,
  });

export const delAreaConfig = req =>
  fetch({
    url: `/smpro/areaConfigs/${req.data.id}`,
    method: 'DELETE',
    ...req,
  });

export const toggleAreaConfigState = req =>
  fetch({
    url: `/smpro/areaConfigs/${req.data.id}/${
      req.data.isEnabled ? 'close' : 'open'
    }`,
    method: 'POST',
    ...req,
  });

export const fetchDetailInfo = req =>
  fetch({
    url: `/smpro/areaConfigs/${req.params.id}`,
    ...req,
  });

export const fetchServiceConfig = req =>
  fetch({
    url: `/smpro/areaConfigs/${req.params.id}/services`,
    ...req,
  });
export const updateServiceConfig = req =>
  fetch({
    url: `/smpro/areaConfigs/${req.id}/services`,
    method: 'POST',
    ...req,
  });
