import { baseFetch as fetch } from '../fetch';

export const getBaseArea = req =>
  fetch({
    url: '/dcxy/baseArea/queryList',
    method: 'POST',
    ...req,
  });

export const getEditArea = req =>
  fetch({
    url: '/dcxy/baseArea/updateArea',
    method: 'PUT',
    ...req,
  });

export const getAddBaseArea = req =>
  fetch({
    url: '/dcxy/baseArea/addArea',
    method: 'POST',
    ...req,
  });

export const getConfigArea = req =>
  fetch({
    url: '/dcxy/baseArea/queryService',
    method: 'GET',
    ...req,
  });

export const getAddOrUpdate = req =>
  fetch({
    url: '/dcxy/baseArea/addService',
    method: 'POST',
    ...req,
  });

export const getRemoveService = req =>
  fetch({
    url: '/dcxy/baseArea/deleteService',
    method: 'GET',
    ...req,
  });

export const getDetail = req =>
  fetch({
    url: '/dcxy/baseArea/areaInfo',
    method: 'GET',
    ...req,
  });

export const updateState = req =>
  fetch({
    url: '/dcxy/baseArea/updateConsult',
    method: 'GET',
    ...req,
  });

export const updateStore = req =>
  fetch({
    url: '/dcxy/baseArea/updateStore',
    method: 'GET',
    ...req,
  });

export const updateType = req =>
  fetch({
    url: '/dcxy/baseArea/updateType',
    method: 'GET',
    ...req,
  });
