import { baseFetch as fetch } from '../fetch';

export const getPageData = req =>
  fetch({
    url: '/recharge/contorl/page/data',
    method: 'POST',
    ...req,
  });
export const addData = req => {
  console.log(req);

  return fetch({
    url: '/recharge/contorl/for/increase',
    method: 'POST',
    ...req,
  });
};

export const updateData = req =>
  fetch({
    url: '/recharge/contorl/for/change',
    method: 'POST',
    ...req,
  });

export const deleteData = req =>
  fetch({
    url: '/recharge/contorl/for/remove/' + req.id + '/' + req.updater,
    method: 'DELETE',
    ...req,
  });

export const getDetailData = req =>
  fetch({
    url: '/recharge/contorl/for/detail/' + req.controlId,
    method: 'GET',
    ...req,
  });
