import { baseFetch as fetch } from '../fetch';

export const fetchOperationalModeList = req =>
  fetch({
    url: '/dcxy/api/operationModeConfs',
    method: 'get',
    ...req,
  });
export const addOperationalMode = req =>
  fetch({
    url: '/dcxy/api/operationModeConfs',
    method: 'post',
    ...req,
  });
export const updateOperationalMode = req =>
  fetch({
    url: `/dcxy/api/operationModeConfs/${req.data.id}`,
    method: 'post',
    ...req,
  });
export const deleteOperationalMode = req =>
  fetch({
    url: `/dcxy/api/operationModeConfs/${req.data.id}`,
    method: 'delete',
    ...req,
  });
export const fetchOperationalModeEdit = req =>
  fetch({
    url: `/dcxy/api/operationModeConfs/${req.data.id}/edit`,
    method: 'get',
    ...req,
  });
export const fetchOperationalModeAll = req =>
  fetch({
    url: `/dcxy/api/operationModeConfs/${req.data.id}/all`,
    method: 'get',
    ...req,
  });
