import fetch from './index';

export const fetchFirmwareList = entity =>
  fetch({
    url: '/deviceVersion/paging/vv/deviceVersion',
    method: 'post',
    data: entity,
  });
export const fetchDeviceTypeOptions = () =>
  fetch({
    url: '/deviceVersion/get/vv/deviceType',
  });
export const addFirmware = entity =>
  fetch({
    url: '/deviceVersion/increase/vv/deviceVersion',
    method: 'post',
    data: entity,
  });
export const toggleDisableState = entity =>
  fetch({
    url: '/deviceVersion/updated/vv/deviceVersion/isItDisable',
    method: 'post',
    data: entity,
  });

export const deleteFirmware = entity =>
  fetch({
    url: '/deviceVersion/deleted/vv/deviceVersion',
    params: entity,
  });
export const updateFirmware = entity =>
  fetch({
    url: 'deviceVersion/updated/vv/deviceVersion',
    method: 'post',
    data: entity,
  });
