import fetch from './index';

export const fetchParamsConfigList = entity =>
  fetch({
    url: '/device/groupparam/querying',
    ...entity,
  });
export const addParamsConfig = entity =>
  fetch({
    url: '/device/groupparam/adding',
    method: 'POST',
    ...entity,
  });
export const fetchParamsConfigDetail = entity =>
  fetch({
    url: `/device/groupparam/${entity.data.id}`,
    ...entity,
  });
export const updateParamsConfig = entity =>
  fetch({
    url: '/device/groupparam/modifying',
    method: 'POST',
    ...entity,
  });
export const deleteParamsConfig = entity =>
  fetch({
    url: `/device/groupparam/${entity.data.id}/deleting`,
    method: 'POST',
    ...entity,
  });
