import fetch from './index';

export const fetchParamsMapList = entity =>
  fetch({
    url: '/device/paramdefine/querying',
    ...entity,
  });
export const addParamsMap = entity =>
  fetch({
    url: '/device/paramdefine/adding',
    method: 'POST',
    ...entity,
  });
export const updateParamsMap = entity =>
  fetch({
    url: '/device/paramdefine/modifying',
    method: 'POST',
    ...entity,
  });
export const deleteParamsMap = entity =>
  fetch({
    url: `/device/paramdefine/${entity.data.id}/deleting`,
    method: 'POST',
    ...entity,
  });
