import { customFetch as fetch } from '../fetch';

//列表
export const getFeedbackById = req =>
  fetch({
    url: `/feedback/get/feedback/${req.params.id}`,
    method: 'GET',
    data: req,
  });

//列表
export const getFeedback = req =>
  fetch({
    url: '/feedback/get/feedback',
    method: 'POST',
    ...req,
  });

//保存
export const saveFeedback = req =>
  fetch({
    url: '/feedback/feedback',
    method: 'PUT',
    ...req,
  });

//记录
export const getFeedbackRecord = req =>
  fetch({
    url: `/feedback/get/feedbackRecord/${req.params.id}`,
    method: 'GET',
    ...req,
  });
