import createBaseFetch from '../lib/Api';

export const systemFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_SYSTEM_SERVER_URL,
  timeout: 10000,
});
export const customFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_CUSTOMER_SERVER_URL,
  timeout: 10000,
});
export const baseFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_BASE_SERVER_URL,
  timeout: 10000,
});
export const baseAppFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_BASE_SERVER_URL_APP,
  timeout: 10000,
});
export const statisticsFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_STATISTICS_SERVER_URL,
  timeout: 10000,
});
export const deviceFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_DEVICE_SERVER_URL,
  timeout: 10000,
});
export const smaproFetch = createBaseFetch({
  baseURL: process.env.VUE_APP_SMAPRO_SERVER_URL,
  timeout: 10000,
});

export default systemFetch;
