import fetch from './index';

export const fetchLocationList = entity =>
  fetch({
    url: '/address/addressQuery4Page',
    params: entity,
  });

export const addLocation = entity =>
  fetch({
    url: '/address/addressInsert',
    params: entity,
  });

export const updateLocation = entity =>
  fetch({
    url: '/address/addressUpdate',
    params: entity,
  });

export const deleteLocation = entity =>
  fetch({
    url: '/address/addressDelete',
    params: entity,
  });

export const importLocation = entity =>
  fetch({
    method: 'post',
    url: '/address/addressImport',
    data: entity,
    headers: {
      'Content-type': 'multipart/form-data',
    },
    timeout: 180000,
  });
