import { baseFetch as fetch } from '../fetch';

export const fetchOrderMergeRuleList = req =>
  fetch({
    url: '/dcxy/baseconfig/deviceOrderMergeRule/paging',
    method: 'POST',
    ...req,
  });
export const addOrderMergeRule = req =>
  fetch({
    url: '/dcxy/baseconfig/deviceOrderMergeRule/adding',
    method: 'POST',
    ...req,
  });

export const updateOrderMergeRule = req =>
  fetch({
    url: `/dcxy/baseconfig/deviceOrderMergeRule/${req.data.id}/modifying`,
    method: 'POST',
    ...req,
  });
export const delOrderMergeRule = req =>
  fetch({
    url: `/dcxy/baseconfig/deviceOrderMergeRule/${req.data.id}/deleting`,
    method: 'POST',
    ...req,
  });
export const fetchOrderMergeRule = req =>
  fetch({
    url: `/dcxy/baseconfig/deviceOrderMergeRule/${req.data.id}`,
    ...req,
  });
