import deviceTypeOptions from './deviceTypeStore';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!store.state.waterDispenser.deviceTypeOptions) {
      store.registerModule(
        ['waterDispenser', 'deviceTypeOptions'],
        deviceTypeOptions
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'deviceTypeOptions']);
  },
};
