import serviceStore from './serviceStore';

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        state: {},
      });
    }
    if (!store.state.base.service) {
      store.registerModule(['base', 'service'], serviceStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['base', 'service']);
  },
};
