import AdminArea from './AdminArea';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.AdminArea) {
      store.registerModule(['system', 'AdminArea'], AdminArea);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'AdminArea']);
  },
};
