import areaSwitch from './areaSwitch';

export default {
  install(store) {
    if (!store.state.areaSwitchStore) {
      store.registerModule(['areaSwitchStore'], {
        namespaced: true,
      });
    }
    if (!store.state.areaSwitchStore.areaSwitch) {
      store.registerModule(['areaSwitchStore', 'areaSwitch'], areaSwitch);
    }
  },
  uninstall(store) {
    store.unregisterModule(['areaSwitchStore', 'areaSwitch']);
  },
};
