import customerInfo from './Customer';

export default {
  install(store) {
    if (!store.state.customerStore) {
      store.registerModule(['customerStore'], {
        namespaced: true,
      });
    }
    if (!store.state.customerStore.customerInfo) {
      store.registerModule(['customerStore', 'customerInfo'], customerInfo);
    }
  },
  uninstall(store) {
    store.unregisterModule(['customerStore', 'customerInfo']);
  },
};
