import ConnectDevice from './ConnectDevice';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!store.state.waterDispenser.ConnectDevice) {
      store.registerModule(['waterDispenser', 'ConnectDevice'], ConnectDevice);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'ConnectDevice']);
  },
};
