import Threshold from './threshold';

export default {
  install(store) {
    if (!store.state.threshold) {
      store.registerModule(['threshold'], {
        namespaced: true,
      });
    }
    if (!store.state.threshold.Threshold) {
      store.registerModule(['threshold', 'Threshold'], Threshold);
    }
  },
  uninstall(store) {
    store.unregisterModule(['threshold', 'Threshold']);
  },
};