import UpdateLog from './UpdateLog';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if (!store.state.waterDispenser.UpdateLog) {
      store.registerModule(['waterDispenser', 'UpdateLog'], UpdateLog);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'UpdateLog']);
  },
};
