import ParamsLogOperator from './ParamsLogOperator';

export default {
  install(store) {
    if (!store.state.DeviceParamsConfig) {
      store.registerModule(['DeviceParamsConfig'], {
        namespaced: true,
      });
    }
    if (!store.state.DeviceParamsConfig.ParamsLogOperator) {
      store.registerModule(['DeviceParamsConfig', 'ParamsLogOperator'], ParamsLogOperator);
    }
  },
  uninstall(store) {
    store.unregisterModule(['DeviceParamsConfig', 'ParamsLogOperator']);
  },
};
