import ParamsMaps from './ParamsMaps';

export default {
  install(store) {
    if (!store.state.equipmentParams) {
      store.registerModule(['equipmentParams'], {
        namespaced: true,
      });
    }
    if (!store.state.equipmentParams.ParamsMaps) {
      store.registerModule(['equipmentParams', 'ParamsMaps'], ParamsMaps);
    }
  },
  uninstall(store) {
    store.unregisterModule(['equipmentParams', 'ParamsMaps']);
  },
};
