import account from './account';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if (!store.state.HairDryer.account) {
      store.registerModule(['HairDryer', 'account'], account);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'account']);
  },
};
