import location from './location';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if(!store.state.HairDryer.location){
      store.registerModule(['HairDryer', 'location'], location);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'location']);
  },
};
