import timeRangeConfigStore from './TimeRangeConfigStore';

export default {
  install(store) {
    if (!store.state.HairDryer) {
      store.registerModule(['HairDryer'], {
        namespaced: true,
      });
    }
    if (!store.state.HairDryer.timeRange) {
      store.registerModule(['HairDryer', 'timeRange'], timeRangeConfigStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['HairDryer', 'timeRange']);
  },
};
