import InterfaceApp from './InterfaceApp';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.InterfaceApp) {
      store.registerModule(['system', 'InterfaceApp'], InterfaceApp);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'InterfaceApp']);
  },
};
