import appointRecord from './appointRecord';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.appointRecord) {
      store.registerModule(['Shower', 'appointRecord'], appointRecord);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'appointRecord']);
  },
};
