import location from './location';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.location) {
      store.registerModule(['Shower', 'location'], location);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'location']);
  },
};
