import order from './order';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.order) {
      store.registerModule(['Shower', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'order']);
  },
};
