import showConfig from './showConfig';

export default {
  install(store) {
    if (!store.state.Shower) {
      store.registerModule(['Shower'], {
        namespaced: true,
      });
    }
    if (!store.state.Shower.showConfig) {
      store.registerModule(['Shower', 'showConfig'], showConfig);
    }
  },
  uninstall(store) {
    store.unregisterModule(['Shower', 'showConfig']);
  },
};
