import SmaproPrepayConfig from './SmaproPrepayConfig.js';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.SmaproPrepayConfig) {
      store.registerModule(['system', 'SmaproPrepayConfig'], SmaproPrepayConfig);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'SmaproPrepayConfig']);
  },
};
