import OrderMerge from './OrderMerge';

export default {
  install(store) {
    if (!store.state.SystemConfig) {
      store.registerModule(['SystemConfig'], {
        namespaced: true,
      });
    }
    if (!store.state.SystemConfig.OrderMerge) {
      store.registerModule(['SystemConfig', 'OrderMerge'], OrderMerge);
    }
  },
  uninstall(store) {
    store.unregisterModule(['SystemConfig', 'OrderMerge']);
  },
};
