import SystemUser from './SystemUser';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.SystemUser) {
      store.registerModule(['system', 'SystemUser'], SystemUser);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'SystemUser']);
  },
};
