import equipment from './equipment';
import rate from '../RateConfig/rate';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if(!store.state.waterDispenser.equipment){
      store.registerModule(['waterDispenser', 'equipment'], equipment);
    }
    if(!store.state.waterDispenser.rate){
      store.registerModule(['waterDispenser', 'rate'], rate);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'equipment']);
    store.unregisterModule(['waterDispenser', 'rate']);
  },
};
