
import order from './order';

export default {
  install(store) {
    if (!store.state.waterDispenser) {
      store.registerModule(['waterDispenser'], {
        namespaced: true,
      });
    }
    if(!store.state.waterDispenser.order){
      store.registerModule(['waterDispenser', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['waterDispenser', 'order']);
  },
};
