import areaRecharge from './areaRecharge';

export default {
  install(store) {
    if (!store.state.areaRechargeMain) {
      store.registerModule(['areaRechargeMain'], {
        namespaced: true,
      });
    }
    if (!store.state.areaRechargeMain.areaRecharge) {
      store.registerModule(['areaRechargeMain', 'areaRecharge'], areaRecharge);
    }
  },
  uninstall(store) {
    store.unregisterModule(['areaRechargeMain', 'areaRecharge']);
  },
};
