import area from './area';

export default {
  install(store) {
    if (!store.state.baseArea) {
      store.registerModule(['baseArea'], {
        namespaced: true,
      });
    }
    if (!store.state.baseArea.area) {
      store.registerModule(['baseArea', 'area'], area);
    }
  },
  uninstall(store) {
    store.unregisterModule(['baseArea', 'area']);
  },
};
