import CreditMargin from './CreditMargin';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.CreditMargin) {
      store.registerModule(['cmb', 'CreditMargin'], CreditMargin);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'CreditMargin']);
  },
};
