import EquipmentLogin from './EquipmentLogin';

export default {
  install(store) {
    if (!store.state.cmb) {
      store.registerModule(['cmb'], {
        namespaced: true,
      });
    }
    if (!store.state.cmb.EquipmentLogin) {
      store.registerModule(['cmb', 'EquipmentLogin'], EquipmentLogin);
    }
  },
  uninstall(store) {
    store.unregisterModule(['cmb', 'EquipmentLogin']);
  },
};
