import customerSwitch from './CustomerSwitch';

export default {
  install(store) {
    if (!store.state.store) {
      store.registerModule(['store'], {
        namespaced: true,
      });
    }
    if (!store.state.store.customerSwitch) {
      store.registerModule(['store', 'customerSwitch'], customerSwitch);
    }
  },
  uninstall(store) {
    store.unregisterModule(['store', 'customerSwitch']);
  },
};
