import equipmentSumInfo from './equipmentSum';

export default {
  install(store) {
    if (!store.state.equipmentSumStore) {
      store.registerModule(['equipmentSumStore'], {
        namespaced: true,
      });
    }
    if (!store.state.equipmentSumStore.equipmentSumInfo) {
      store.registerModule(['equipmentSumStore', 'equipmentSumInfo'], equipmentSumInfo);
    }
  },
  uninstall(store) {
    store.unregisterModule(['equipmentSumStore', 'equipmentSumInfo']);
  },
};
