import feedBack from './feedBack';

export default {
  install(store) {
    if (!store.state.customer) {
      store.registerModule(['customer'], {
        namespaced: true,
      });
    }
    if (!store.state.customer.feedBack) {
      store.registerModule(['customer', 'feedBack'], feedBack);
    }

  },
  uninstall(store) {
    store.unregisterModule(['customer', 'feedBack']);

  },
};
