import order from './order';

export default {
  install(store) {
    if (!store.state.indiAreaQue) {
      store.registerModule(['indiAreaQue'], {
        namespaced: true,
      });
    }
    if (!store.state.indiAreaQue.order) {
      store.registerModule(['indiAreaQue', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['indiAreaQue', 'order']);
  },
};
