import order from './order';

export default {
  install(store) {
    if (!store.state.indiMembQue) {
      store.registerModule(['indiMembQue'], {
        namespaced: true,
      });
    }
    if (!store.state.indiMembQue.order) {
      store.registerModule(['indiMembQue', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['indiMembQue', 'order']);
  },
};
