import activeGiveBeanConf from './activeGiveBeanConf';

export default {
  install(store) {
    if (!store.state.operationManagement) {
      store.registerModule(['operationManagement'], {
        namespaced: true,
      });
    }
    if (!store.state.operationManagement.activeGiveBeanConf) {
      store.registerModule(
        ['operationManagement', 'activeGiveBeanConf'],
        activeGiveBeanConf
      );
    }
  },
  uninstall(store) {
    store.unregisterModule(['operationManagement', 'activeGiveBeanConf']);
  },
};
