import firstRechargeConf from './firstRechargeConf';

export default {
  install(store) {
    if (!store.state.operationManagement) {
      store.registerModule(['operationManagement'], {
        namespaced: true,
      });
    }
    if (!store.state.operationManagement.firstRechargeConf) {
      store.registerModule(['operationManagement', 'firstRechargeConf'], firstRechargeConf);
    }
  },
  uninstall(store) {
    store.unregisterModule(['operationManagement', 'firstRechargeConf']);
  },
};
