import {getOperPayConfig,getCustomerInfo,updateOpConf,abilityBeUsed} from '@/api/baseArea/deploypay';

const FOR_STORE_DEPOLY_DATA = 'FOR_STORE_DEPOLY_DATA';
const CHANGE_BIND_DATA = 'CHANGE_BIND_DATA';  

const state = () => ({
    // list: [],
    deployData:[],
    deployedData:{
      operateId:null,
      areaId:null,
    },
  });
  
  const getters = {
    // listData: state => state.list,
    deployData:state=>state.deployedData,
  };
  
  const actions = {
    getOperPayConfig({ commit, state, dispatch }, entity) {
        return getOperPayConfig({params:{...entity},})
    },
    getCustomerInfo({ commit, state, dispatch }, entity){
        return getCustomerInfo( {
            params:{...entity},
          })
      },

    updateOpConf({ commit, state, dispatch }, entity){
        return updateOpConf({data:{...entity}})
    },
    abilityBeUsed({ commit, state, dispatch }, entity){
        return abilityBeUsed( 
          {data:{...entity}},
          )
      },

      storeDeployData({commit, state, dispatch},entity){
        commit(FOR_STORE_DEPOLY_DATA, entity);
      },

  };
  
  const mutations = {
    [FOR_STORE_DEPOLY_DATA](state, entity) {
        state.deployedData = entity;
      },



  };
  
  export default {
    namespaced: true,
    state,
    getters,
    actions,
    mutations,
  };