import payability from './payability';

export default {
  install(store) {
    if (!store.state.payAbility) {
      store.registerModule(['payAbility'], {
        namespaced: true,
      });
    }
    if (!store.state.payAbility.payability) {
      store.registerModule(['payAbility', 'payability'], payability);
    }
  },
  uninstall(store) {
    store.unregisterModule(['payAbility', 'payability']);
  },
};
