import operator from './operator.js';

export default {
  install(store) {
    if (!store.state.baseOperator ){
      store.registerModule(['baseOperator'], {
        namespaced: true,
      });
    }
    if (!store.state.baseOperator.operator) {
      store.registerModule(['baseOperator', 'operator'], operator);
    }
  },
  uninstall(store) {
    store.unregisterModule(['baseOperator', 'operator']);
  },
};
