import customerPassword from './Password';

export default {
  install(store) {
    if (!store.state.store) {
      store.registerModule(['store'], {
        namespaced: true,
      });
    }
    if (!store.state.store.customerPassword) {
      store.registerModule(['store', 'customerPassword'], customerPassword);
    }
  },
  uninstall(store) {
    store.unregisterModule(['store', 'customerPassword']);
  },
};
