import prepaidModel from './prepaidModel';

export default {
  install(store) {
    if (!store.state.prepaidModelMain) {
      store.registerModule(['prepaidModelMain'], {
        namespaced: true,
      });
    }
    if (!store.state.prepaidModelMain.prepaidModel) {
      store.registerModule(['prepaidModelMain', 'prepaidModel'], prepaidModel);
    }
  },
  uninstall(store) {
    store.unregisterModule(['prepaidModelMain', 'prepaidModel']);
  },
};
