import preorder from './prepayOrder';

export default {
  install(store) {
    if (!store.state.prepayOrder) {
      store.registerModule(['prepayOrder'], {
        namespaced: true,
      });
    }
    if (!store.state.prepayOrder.preorder) {
      store.registerModule(['prepayOrder', 'preorder'], preorder);
    }
  },
  uninstall(store) {
    store.unregisterModule(['prepayOrder', 'preorder']);
  },
};
