import order from './purchasingOrder';

export default {
  install(store) {
    if (!store.state.PurchasingOrder) {
      store.registerModule(['PurchasingOrder'], {
        namespaced: true,
      });
    }
    if (!store.state.PurchasingOrder.order) {
      store.registerModule(['PurchasingOrder', 'order'], order);
    }
  },
  uninstall(store) {
    store.unregisterModule(['PurchasingOrder', 'order']);
  },
};
