import customer from './customer';

export default {
  install(store) {
    if (!store.state.smaproCustomer) {
      store.registerModule(['smaproCustomer'], {
        namespaced: true,
      });
    }
    if (!store.state.smaproCustomer.customer) {
      store.registerModule(['smaproCustomer', 'customer'], customer);
    }
  },
  uninstall(store) {
    store.unregisterModule(['smaproCustomer', 'customer']);
  },
};
