import smsp from './smsPlatform';

export default {
  install(store) {
    if (!store.state.smsPlatform) {
      store.registerModule(['smsPlatform'], {
        namespaced: true,
      });
    }
    if (!store.state.smsPlatform.smsp) {
      store.registerModule(['smsPlatform', 'smsp'], smsp);
    }
  },
  uninstall(store) {
    store.unregisterModule(['smsPlatform', 'smsp']);
  },
};
