import { createSystem } from '../lib/main';
import asyncRouterMap from '../router/asyncRoutes';
import utils from '../lib/utils';

let constantRouter = [
  {
    path: '/asd',
    name: 'asd',
    component: {
      template: '<div>asdasdasd</div>',
    },
  },
];
const routeFilter = (routes, allRoute) => {
  if (allRoute && allRoute.length) {
    let addRoute = utils.route.formatRouteLink(allRoute);
    for (let index = 0; index < addRoute.length; index++) {
      const element = addRoute[index];
      if (element.children) {
        routes = routes.concat(element.children);
      } else if (
        element.menuCode === process.env.VUE_APP_REGISTER_DASHBOARD_CODE
      ) {
        routes.unshift(element);
      }
    }
  }
  return {
    allRoute,
    routes,
  };
};
createSystem({
  basePath: process.env.VUE_APP_BASE_URL,
  routers: asyncRouterMap,
  constantRouter: constantRouter,
  whiteList: '/asd',
  routeFilter: routeFilter,
});

// const script = document.createElement('script');
// script.text = `
//   `;
// document.body.appendChild(script);
