import roleStore from './roleStore';

export default {
  install(store) {
    if (!store.state.system) {
      store.registerModule(['system'], {
        namespaced: true,
      });
    }
    if (!store.state.system.roleOptions) {
      store.registerModule(['system', 'roleOptions'], roleStore);
    }
  },
  uninstall(store) {
    store.unregisterModule(['system', 'roleOptions']);
  },
};
