import _import from '../_import';
import BeanHandselDealStore from '@/containers/Account/BeanHandselDeal/store';
import rechargeStore from '@/containers/Account/CustomerRecharge/store';
import refundStore from '@/containers/Account/CustomerRefund/store';

const accountRouter = [
  {
    code: '0013',
    component: _import('Account/BeanHandselDeal/BeanHandselDeal'),
    meta: { title: '豆赠送处理', store: BeanHandselDealStore },
  },
  {
    code: '0014',
    component: _import('Account/CustomerRecharge/CustomerRecharge'),
    meta: { title: '会员充值', store: rechargeStore },
  },
  {
    code: '0015',
    component: _import('Account/CustomerRefund/CustomerRefund'),
    meta: { title: '会员退款', store: refundStore },
  },
];

export default accountRouter;
