import _import from '../_import';
import consumeAreaSumStore from '@/containers/consumeAreaSum/consumeAreaSumStore';
import equipmentSumStore from '@/containers/equipmentSum/equipmentSumStore';
import consumeOperSumStore from '@/containers/consumeOperSum/consumeOperSumStore';
import customerConsumeStore from '@/containers/customerConsume/store';
const consumeReportRouter = [
    {
      code: '0045',
      component: _import('consumeAreaSum/consumeAreaSum'),
      meta: { title: '区域消费总览', store: consumeAreaSumStore  },
    },
    {
      code: '0046',
      component: _import('equipmentSum/equipmentSum'),
      meta: { title: '设备消费总览', store: equipmentSumStore  },
    },
    {
    code: '0047',
    component: _import('consumeOperSum/consumeOperSum'),
    meta: { title: '运营状况总览', store: consumeOperSumStore  },
  },
  {
    code: '0082',
    component: _import('customerConsume/customerConsume'),
    meta: { title: '会员消费总览', store: customerConsumeStore  },
  },
 
  ];
  
  export default consumeReportRouter;