import _import from '../_import';
import paramsMapsStore from '@/containers/EquipmentParamsManagement/ParamsMaps/store';
import paramsConfigStore from '@/containers/EquipmentParamsManagement/ParamsConfig/store';

const equipmentParamsRoute = [
  {
    code: '0084',
    component: _import('EquipmentParamsManagement/ParamsMaps/ParamsMaps'),
    meta: { store: paramsMapsStore },
  },
  {
    code: '0085',
    component: _import('EquipmentParamsManagement/ParamsConfig/ParamsConfig'),
    meta: { store: paramsConfigStore },
  },
];

export default equipmentParamsRoute;
