import operatorRoutes from './operator';
import rechargeRoutes from './recharge';
import SmaproPrepayConfigRoute from './SmaproPrepayConfig';
import SmaproRefundOrderStore from './SmaproRefundOrder';
import CustomerRoute from './customer';
import PrepayOrderRoute from './prepayOrder';
import OperateOrderRoute from './operateOrder';
import FlatformTollRoute from './flatformToll';
import appRoutes from './appRoutes';
import consumeReportRouter from './consumeReport';
import consumeOrderallRouter from './consumeOrderAll';
import showerRoute from './shower';
import deviceManageRoute from './deviceManage';
import hairDryerRoute from './hairDryer';
import dispenserRoute from './waterDispenser';
import equipmentParamsRoute from './equipmentParamsManagement';
import deviceParamsRoute from './deviceParamsConfig';
import equipmentManagementRoute from './device3';
import systemUserRoute from './systemUser';
import operLogRoute from './operLog';
import menuRoute from './menu';
import roleRoute from './role';
import adminFunction from './adminFunction';
import adminArea from './adminArea';
import interfaceRoute from './interface';
import reportRoute from './appReportLog';
import StateRoute from './state';
import CMBRoute from './cmb';
import AREARoute from './area';
import serviceRoute from './selfservice';
import OPERRoute from './operatorSame';
import paymentRoute from './payment';
import operationManagementRoute from './operationManagement';
import areaRechargeRoute from './areaRecharge';
import controlRoute from './rechargeControl';
import purchasingRoute from './purchasingOrder';
import prepaidModelRoute from './prepaidModel';
import areaSmsRoute from './areaSms';
import accountRouter from './account';
import customerInfoList from './customerInfo';
import customerOrder from './order';

export default [
  ...operatorRoutes,
  ...rechargeRoutes,
  ...SmaproPrepayConfigRoute,
  ...CustomerRoute,
  ...PrepayOrderRoute,
  ...OperateOrderRoute,
  ...FlatformTollRoute,
  ...SmaproRefundOrderStore,
  ...appRoutes,
  ...consumeReportRouter,
  ...consumeOrderallRouter,
  ...showerRoute,
  ...deviceManageRoute,
  ...hairDryerRoute,
  ...dispenserRoute,
  ...equipmentParamsRoute,
  ...deviceParamsRoute,
  ...equipmentManagementRoute,
  ...systemUserRoute,
  ...operLogRoute,
  ...menuRoute,
  ...roleRoute,
  ...adminFunction,
  ...adminArea,
  ...interfaceRoute,
  ...reportRoute,
  ...StateRoute,
  ...CMBRoute,
  ...AREARoute,
  ...serviceRoute,
  ...OPERRoute,
  ...paymentRoute,
  ...operationManagementRoute,
  ...areaRechargeRoute,
  ...controlRoute,
  ...purchasingRoute,
  ...prepaidModelRoute,
  ...areaSmsRoute,
  ...accountRouter,
  ...customerInfoList,
  ...customerOrder,
];
