import HomeIcon from '@/assets/images/menu/home.png';
import InterfaceAppStore from '@/containers/Interface/InterfaceApp/store';
import InterfaceManagerStore from '@/containers/Interface/InterfaceManager/store';

import _import from '../_import';

const AdminFunctionRoute = [
  {
    code: '0007',
    component: _import('Interface/InterfaceApp/InterfaceApp'),
    meta: { store: InterfaceAppStore },
  },
  {
    code: '0008',
    component: _import('Interface/InterfaceManager/InterfaceManager'),
    meta: { store: InterfaceManagerStore },
  },
];

export default AdminFunctionRoute;
