import _import from '../_import';
import ConsumerOrderStore from '@/containers/Order/ConsumerOrder/store';
import PaymentConsumeStore from '@/containers/Order/paymentConsume/paymentConsumeStore';
import ConsumeStore from '@/containers/Order/consume/consumeStore';
import GiveBeanStore from '@/containers/Order/giveBean/giveBeanStore';
import RechargeOrderStore from '@/containers/Order/RechargeOrder/store';
import FailOrderStore from '@/containers/Order/FailOrder/store';
import RefundOrderStore from '@/containers/Order/RefundOrder/store';

const customerOrder = [
  {
    code: '0019',
    component: _import('Order/FailOrder/FailOrder'),
    meta: { title: '失败订单',store: FailOrderStore },
  },
  {
    code: '0020',
    component: _import('Order/RechargeOrder/RechargeOrder'),
    meta: { title: '充值订单',store: RechargeOrderStore },
  },
  {
    code: '0021',
    component: _import('Order/RefundOrder/RefundOrder'),
    meta: { title: '退款订单',store: RefundOrderStore },
  },
  {
    code: '0022',
    component: _import('Order/giveBean/giveBeanPage'),
    meta: { title: '豆赠送流水',store: GiveBeanStore },
  },
  {
    code: '0023',
    component: _import('Order/consume/consumePage'),
    meta: { title: '自助消费流水',store: ConsumeStore },
  },
  {
    code: '0024',
    component: _import('Order/paymentConsume/paymentConsumePage'),
    meta: { title: '支付消费流水', store: PaymentConsumeStore },
  },
  {
    code: '0025',
    component: _import('Order/ConsumerOrder/order'),
    meta: { title: '消费订单', store: ConsumerOrderStore },
  },
];

export default customerOrder;
