import _import from '../_import';
import firstRechargeConfStore from '@/containers/operationManagement/firstRechargeConf/firstRechargeConfStore';
import rechargeConfStore from '@/containers/operationManagement/rechargeConf/rechargeConfStore';
import areaRechargeStore from '@/containers/areaRecharge/areaRechargeStore';

const operationManagementRoute = [
  {
    code: '0038',
    component: _import(
      'operationManagement/firstRechargeConf/firstRechargeConf'
    ),
    meta: { title: '首充配置', store: firstRechargeConfStore },
  },
  {
    code: '0039',
    component: _import('operationManagement/rechargeConf/rechargeConf'),
    meta: { title: '充值配置', store: rechargeConfStore },
  },
  {
    code: '0043',
    component: _import('areaRecharge/areaRecharge'),
    meta: { title: '区域充值配置', store: areaRechargeStore },
  },
];

export default operationManagementRoute;
